'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _webpackBuilder = require('./webpack-builder');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var send = function send(res, path) {
  path = _webpackBuilder.BUILD_PATH + '/' + path;
  _fsExtra2.default.exists(path, function (exists) {
    if (exists) {
      res.sendFile(path);
    } else {
      res.status(404).send({ message: 'Javascript file not found.' });
    }
  });
};

exports.default = function (middleware) {
  middleware.get('/js', function (req, res) {
    return send(res, 'base.js');
  });
  middleware.get('/js/page/:name', function (req, res) {
    return send(res, 'pages/' + req.params.name + '.js');
  });
};
//# sourceMappingURL=router-js.js.map